# Trait yii\base\StaticInstanceTrait

Implemented by

yii\base\DynamicModel, yii\base\Model, yii\data\ActiveDataFilter, yii\data\DataFilter, yii\db\ActiveRecord, yii\db\BaseActiveRecord, yii\debug\models\Router, yii\debug\models\UserSwitch, yii\debug\models\router\ActionRoutes, yii\debug\models\router\CurrentRoute, yii\debug\models\router\RouterRules, yii\debug\models\search\Base, yii\debug\models\search\Db, yii\debug\models\search\Debug, yii\debug\models\search\Event, yii\debug\models\search\Log, yii\debug\models\search\Mail, yii\debug\models\search\Profile, yii\debug\models\search\User, yii\debug\models\timeline\Search, yii\elasticsearch\ActiveRecord, yii\gii\Generator, yii\gii\generators\controller\Generator, yii\gii\generators\crud\Generator, yii\gii\generators\extension\Generator, yii\gii\generators\form\Generator, yii\gii\generators\model\Generator, yii\gii\generators\module\Generator, yii\httpclient\debug\SearchModel, yii\mongodb\ActiveRecord, yii\mongodb\file\ActiveRecord, yii\mongodb\gii\model\Generator, yii\redis\ActiveRecord, yii\sphinx\ActiveRecord, yii\sphinx\gii\model\Generator

Available since version | 2.0.13
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/StaticInstanceTrait.php

StaticInstanceTrait provides methods to satisfy yii\base\StaticInstanceInterface interface.

See also yii\base\StaticInstanceInterface.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
instance() | Returns static class instance, which can be used to obtain meta information. | yii\base\StaticInstanceTrait

## Method Details

instance() public static method

Returns static class instance, which can be used to obtain meta information.

public static static instance ( $refresh = false )
$refresh | boolean | Whether to re-create static instance even, if it is already cached.
return | static | Class instance.